package com.ruoyi.feeagreement.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 费用协议从从表对象 t_warehouse_fee_agreement_type_business_detail
 *
 * @author dongyongwei
 * @date 2021-08-04
 */
public class TWarehouseFeeAgreementTypeBusinessDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long fId;

    /** 主表id */
    @Excel(name = "主表id")
    private Long fWarehouseFeeAgreementTypeFId;

    /** 从表id */
    @Excel(name = "从表id")
    private Long fWarehouseFeeAgreementTypeBusinessFId;

    /** 计价单位 */
    @Excel(name = "计价单位")
    private Long fFeeUnitId;

    /** 免费部分 */
    @Excel(name = "免费部分")
    private Long fFreeNum;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private Long fSize;

    /** 箱型 */
    @Excel(name = "箱型")
    private Long fBoxModel;

    /** 数量 */
    @Excel(name = "数量")
    private Long fNum;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal fPrice;

    /** 币种 */
    @Excel(name = "币种")
    private String fCurrency;

    /** 是否包干 Y是N否 */
    @Excel(name = "是否包干 Y是N否")
    private String fIsContract;

    /** 删除状态（0正常 1停用） */
    @Excel(name = "删除状态", readConverterExp = "0=正常,1=停用")
    private Integer fDelFlag;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fUpdateTime;

    /** 更新人ID */
    @Excel(name = "更新人ID")
    private Long fUpdateBy;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fCreateTime;

    /** 费率 */
    @Excel(name = "费率")
    private BigDecimal fRate;

    /** 最大金额 */
    @Excel(name = "最大金额")
    private BigDecimal fMaxAmount;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long fCreateBy;

    /** 备注 */
    @Excel(name = "备注")
    private String fRemark;

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId()
    {
        return fId;
    }
    public void setfWarehouseFeeAgreementTypeFId(Long fWarehouseFeeAgreementTypeFId)
    {
        this.fWarehouseFeeAgreementTypeFId = fWarehouseFeeAgreementTypeFId;
    }

    public Long getfWarehouseFeeAgreementTypeFId()
    {
        return fWarehouseFeeAgreementTypeFId;
    }
    public void setfWarehouseFeeAgreementTypeBusinessFId(Long fWarehouseFeeAgreementTypeBusinessFId)
    {
        this.fWarehouseFeeAgreementTypeBusinessFId = fWarehouseFeeAgreementTypeBusinessFId;
    }

    public Long getfWarehouseFeeAgreementTypeBusinessFId()
    {
        return fWarehouseFeeAgreementTypeBusinessFId;
    }
    public void setfFeeUnitId(Long fFeeUnitId)
    {
        this.fFeeUnitId = fFeeUnitId;
    }

    public Long getfFeeUnitId()
    {
        return fFeeUnitId;
    }
    public void setfFreeNum(Long fFreeNum)
    {
        this.fFreeNum = fFreeNum;
    }

    public Long getfFreeNum()
    {
        return fFreeNum;
    }
    public void setfSize(Long fSize)
    {
        this.fSize = fSize;
    }

    public Long getfSize()
    {
        return fSize;
    }
    public void setfBoxModel(Long fBoxModel)
    {
        this.fBoxModel = fBoxModel;
    }

    public Long getfBoxModel()
    {
        return fBoxModel;
    }
    public void setfNum(Long fNum)
    {
        this.fNum = fNum;
    }

    public Long getfNum()
    {
        return fNum;
    }
    public void setfPrice(BigDecimal fPrice)
    {
        this.fPrice = fPrice;
    }

    public BigDecimal getfPrice()
    {
        return fPrice;
    }
    public void setfCurrency(String fCurrency)
    {
        this.fCurrency = fCurrency;
    }

    public String getfCurrency()
    {
        return fCurrency;
    }
    public void setfIsContract(String fIsContract)
    {
        this.fIsContract = fIsContract;
    }

    public String getfIsContract()
    {
        return fIsContract;
    }
    public void setfDelFlag(Integer fDelFlag)
    {
        this.fDelFlag = fDelFlag;
    }

    public Integer getfDelFlag()
    {
        return fDelFlag;
    }
    public void setfUpdateTime(Date fUpdateTime)
    {
        this.fUpdateTime = fUpdateTime;
    }

    public Date getfUpdateTime()
    {
        return fUpdateTime;
    }
    public void setfUpdateBy(Long fUpdateBy)
    {
        this.fUpdateBy = fUpdateBy;
    }

    public Long getfUpdateBy()
    {
        return fUpdateBy;
    }
    public void setfCreateTime(Date fCreateTime)
    {
        this.fCreateTime = fCreateTime;
    }

    public Date getfCreateTime()
    {
        return fCreateTime;
    }
    public void setfRate(BigDecimal fRate)
    {
        this.fRate = fRate;
    }

    public BigDecimal getfRate()
    {
        return fRate;
    }
    public void setfMaxAmount(BigDecimal fMaxAmount)
    {
        this.fMaxAmount = fMaxAmount;
    }

    public BigDecimal getfMaxAmount()
    {
        return fMaxAmount;
    }
    public void setfCreateBy(Long fCreateBy)
    {
        this.fCreateBy = fCreateBy;
    }

    public Long getfCreateBy()
    {
        return fCreateBy;
    }
    public void setfRemark(String fRemark)
    {
        this.fRemark = fRemark;
    }

    public String getfRemark()
    {
        return fRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fWarehouseFeeAgreementTypeFId", getfWarehouseFeeAgreementTypeFId())
                .append("fWarehouseFeeAgreementTypeBusinessFId", getfWarehouseFeeAgreementTypeBusinessFId())
                .append("fFeeUnitId", getfFeeUnitId())
                .append("fFreeNum", getfFreeNum())
                .append("fSize", getfSize())
                .append("fBoxModel", getfBoxModel())
                .append("fNum", getfNum())
                .append("fPrice", getfPrice())
                .append("fCurrency", getfCurrency())
                .append("fIsContract", getfIsContract())
                .append("fDelFlag", getfDelFlag())
                .append("fUpdateTime", getfUpdateTime())
                .append("fUpdateBy", getfUpdateBy())
                .append("fCreateTime", getfCreateTime())
                .append("fRate", getfRate())
                .append("fMaxAmount", getfMaxAmount())
                .append("fCreateBy", getfCreateBy())
                .append("fRemark", getfRemark())
                .toString();
    }
}